import { NativeModules } from 'react-native';

export interface NativeBplScale {
  startDiscovery(): void;
  cancelDiscovery(): void;
  getBondedDevices(): Promise<any[]>;
  parseBluetoothScaleData(data: string): any;

  // ✅ ADD THIS
  scanDevices(scanDurationMs: number): Promise<any[]>;
}

const { BplScale } = NativeModules;

export default BplScale as NativeBplScale;
